Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
management
/
settings
/
connections
/
bambora
aid_account_settings_connections_bambora_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/bambora \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "signup": {
    "payment_options": [
      {
        "currencies": [
          "NOK"
        ],
        "type": "bambora.creditcard"
      }
    ],
    "revenue": {
      "currency": "NOK",
      "yearly_revenue": "100.000-250.000 NOK",
      "highest_transaction_amount": "500-1000 NOK",
      "average_amount": "250-500 NOK",
      "accept_prepaid": true,
      "subscriptions_or_memberships": true,
      "gift_cards": true
    },
    "bank_name": "<string>",
    "account_number": "<string>",
    "store_type": [
      "online"
    ],
    "ownership": {
      "ownership_structure": "owners_with_more_than_25",
      "owners": [
        {
          "name": "<string>",
          "legal_name": "<string>",
          "date_of_birth": "1990-09-20",
          "percentage": 25
        }
      ]
    },
    "verifications": {
      "terms_and_conditions": true,
      "terms_and_conditions_url": "<string>",
      "contact_information": true,
      "payment_site": true,
      "clear_pricing": true,
      "payment_product_logos": true
    },
    "signature": {
      "signatures": [
        {
          "name": "<string>",
          "email": "<string>"
        }
      ],
      "politically_exposed_person": true,
      "politically_exposed_associated": true
    },
    "applicant": {
      "phone_number": "+4799999999"
    }
  }
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "metadata": {},
  "status": "pending",
  "events": [
    {
      "status": "pending",
      "event": "signature_required",
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "description": "Vipps awaiting signature",
      "metadata": {
        "signature_link": "https://sig.example.com/K34K244"
      }
    }
  ],
  "schema": 123,
  "configuration": {
    "payment_options": [
      {
        "currencies": [
          "NOK"
        ],
        "type": "<string>"
      }
    ],
    "merchant_number": "<string>",
    "md5_key": "<string>",
    "access_token": 123,
    "secret_token": "<string>",
    "token_scope": "<string>"
  },
  "direct_signups": [
    {
      "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "merchant_number": "P12345678",
      "md5_key": "ae45ase",
      "payment_options": [
        {
          "currencies": [
            "NOK"
          ],
          "type": "bambora.creditcard"
        }
      ],
      "signup_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "callback_at": "2023-11-07T05:31:56Z"
    }
  ],
  "signup": {
    "payment_options": [
      {
        "currencies": [
          "NOK"
        ],
        "type": "bambora.creditcard"
      }
    ],
    "revenue": {
      "currency": "NOK",
      "yearly_revenue": "100.000-250.000 NOK",
      "highest_transaction_amount": "500-1000 NOK",
      "average_amount": "250-500 NOK",
      "accept_prepaid": true,
      "subscriptions_or_memberships": true,
      "gift_cards": true
    },
    "bank_name": "<string>",
    "account_number": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "store_type": [
      "online"
    ],
    "ownership": {
      "ownership_structure": "owners_with_more_than_25",
      "owners": [
        {
          "name": "<string>",
          "legal_name": "<string>",
          "date_of_birth": "1990-09-20",
          "percentage": 25
        }
      ]
    },
    "verifications": {
      "terms_and_conditions": true,
      "terms_and_conditions_url": "<string>",
      "contact_information": true,
      "payment_site": true,
      "clear_pricing": true,
      "payment_product_logos": true
    },
    "signature": {
      "signatures": [
        {
          "name": "<string>",
          "email": "<string>"
        }
      ],
      "politically_exposed_person": true,
      "politically_exposed_associated": true
    },
    "applicant": {
      "phone_number": "+4799999999"
    },
    "callback_at": "2023-11-07T05:31:56Z"
  },
  "submerchant_signups": [
    {
      "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payment_options": [
        {
          "currencies": [
            "NOK"
          ],
          "type": "bambora.creditcard"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "merchant_number": "P12345678",
      "md5_key": "ae45ase",
      "mcc": 5814,
      "callback_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json
signup
object
required

Response

Bambora Connection

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

metadata
object

A set of key/value pairs that you can attach to a subscription object. It can be useful for storing additional information about the subscription in a structured format.

status
enum<string>

The status of the connection

Available options:
pending,
enabled,
failed,
declined
events
object[]

List of events recorded, an event is created when the connection is updated with new status

schema
number
read-only

The version of the schema used for the connection

configuration
object

Bambora configuration for the merchant

The Bambora configuration includes a secret_token stored safely and never exposed

direct_signups
object[]

The Bambora direct signups received for this account.

signup
object

DEPRECATED

Signup object present for Bambora signups with the old POST /connections/bambora endpoint.

submerchant_signups
object[]

The signups received for this account

Will be unique per case_id and store_id.

Last modified on May 12, 2026